GNU Radio's HPSDR Package: gr::hpsdr::hermesWB Class Reference

GNU Radio's HPSDR Package

gr::hpsdr::hermesWB Class Reference

<+description of block+> More...

`#include <hermesWB.h>`

Inheritance diagram for gr::hpsdr::hermesWB:
[legend]

## Public Types
typedef boost::shared_ptr< hermesWB > | sptr

## Public Member Functions
void | set_RxPreamp (int)
void | set_ClockSource (const char *)
void | set_AlexRxAntenna (int)
void | set_AlexTxAntenna (int)
void | set_AlexRxHPF (int)
void | set_AlexTxLPF (int)
bool | stop ()
bool | start ()

## Static Public Member Functions
static sptr | make (int RxPre, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexLPF, const char *MACAddr)
| Return a shared_ptr to a new instance of hpsdr::hermesWB.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<hermesWB> gr::hpsdr::hermesWB::sptr

## Member Function Documentation

## ◆ make()

sptr gr::hpsdr::hermesWB::make | ( | int | RxPre,
|  | const char * | Intfc,
|  | const char * | ClkS,
|  | int | AlexRA,
|  | int | AlexTA,
|  | int | AlexHPF,
|  | int | AlexLPF,
|  | const char * | MACAddr )
| static

Return a shared_ptr to a new instance of hpsdr::hermesWB.

To avoid accidental use of raw pointers, hpsdr::hermesWB's constructor is in a private implementation class. hpsdr::hermesWB::make is the public interface for creating new instances.

## ◆ set_AlexRxAntenna()

void gr::hpsdr::hermesWB::set_AlexRxAntenna | ( | int |  | ) |

## ◆ set_AlexRxHPF()

void gr::hpsdr::hermesWB::set_AlexRxHPF | ( | int |  | ) |

## ◆ set_AlexTxAntenna()

void gr::hpsdr::hermesWB::set_AlexTxAntenna | ( | int |  | ) |

## ◆ set_AlexTxLPF()

void gr::hpsdr::hermesWB::set_AlexTxLPF | ( | int |  | ) |

## ◆ set_ClockSource()

void gr::hpsdr::hermesWB::set_ClockSource | ( | const char * |  | ) |

## ◆ set_RxPreamp()

void gr::hpsdr::hermesWB::set_RxPreamp | ( | int |  | ) |

## ◆ start()

bool gr::hpsdr::hermesWB::start | ( |  | ) |

## ◆ stop()

bool gr::hpsdr::hermesWB::stop | ( |  | ) |

The documentation for this class was generated from the following file:

- hermesWB.h